package com.philisense.www.pojos.entity;
import java.util.Date;
import java.math.BigDecimal;
public class ProResourceAction {

        private String  id;
        private String  name;
        private String  enname;
        private String  handler;
        private String  icon;
        private String  status;
        private int  orderid;
        private String  memo;
        private String  parentid;
        private Date  createtime;
        private String  menuid;
        private String  htmlid;
        private String  levelcode;
        private String  leaftype;
        private String  cls;

        public String  getId() {
        return id;
        }

        public void setId(String  id) {
        this.id = id;
        }
        public String  getName() {
        return name;
        }

        public void setName(String  name) {
        this.name = name;
        }
        public String  getEnname() {
        return enname;
        }

        public void setEnname(String  enname) {
        this.enname = enname;
        }
        public String  getHandler() {
        return handler;
        }

        public void setHandler(String  handler) {
        this.handler = handler;
        }
        public String  getIcon() {
        return icon;
        }

        public void setIcon(String  icon) {
        this.icon = icon;
        }
        public String  getStatus() {
        return status;
        }

        public void setStatus(String  status) {
        this.status = status;
        }
        public int  getOrderid() {
        return orderid;
        }

        public void setOrderid(int  orderid) {
        this.orderid = orderid;
        }
        public String  getMemo() {
        return memo;
        }

        public void setMemo(String  memo) {
        this.memo = memo;
        }
        public String  getParentid() {
        return parentid;
        }

        public void setParentid(String  parentid) {
        this.parentid = parentid;
        }
        public Date  getCreatetime() {
        return createtime;
        }

        public void setCreatetime(Date  createtime) {
        this.createtime = createtime;
        }
        public String  getmenuid() {
        return menuid;
        }

        public void setmenuid(String  menuid) {
        this.menuid = menuid;
        }
        public String  getHtmlid() {
        return htmlid;
        }

        public void setHtmlid(String  htmlid) {
        this.htmlid = htmlid;
        }
        public String  getLevelcode() {
        return levelcode;
        }

        public void setLevelcode(String  levelcode) {
        this.levelcode = levelcode;
        }
        public String  getLeaftype() {
        return leaftype;
        }

        public void setLeaftype(String  leaftype) {
        this.leaftype = leaftype;
        }
        public String  getCls() {
        return cls;
        }

        public void setCls(String  cls) {
        this.cls = cls;
        }



}
